Sync the development app
curl --request PUT \
--url https://api.reintersect.com/v0/apps/dev \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reintersect.com/v0/apps/dev"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reintersect.com/v0/apps/dev', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reintersect.com/v0/apps/dev",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reintersect.com/v0/apps/dev"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reintersect.com/v0/apps/dev")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reintersect.com/v0/apps/dev")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyDeploy
Sync the development app
Create or update your personal development app and its development install.
PUT
/
v0
/
apps
/
dev
Sync the development app
curl --request PUT \
--url https://api.reintersect.com/v0/apps/dev \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reintersect.com/v0/apps/dev"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reintersect.com/v0/apps/dev', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reintersect.com/v0/apps/dev",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reintersect.com/v0/apps/dev"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reintersect.com/v0/apps/dev")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reintersect.com/v0/apps/dev")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyreintersect dev and reintersect deploy --preview call this endpoint. It finds your development app
for the manifest’s slug in this workspace, creating it the first time with a random suffix on the slug.
Then it syncs the manifest as a preview and makes sure your development install exists and runs it.
Authenticate with a member API key or an agent builder token. Deploy tokens are refused.
Query
| Parameter | Description |
|---|---|
reveal | signing-secret to include the development app’s signing secret. Agent builder tokens never receive it. |
Body
| Field | Required | Description |
|---|---|---|
manifest | Yes | The manifest. |
Response
| Field | Description |
|---|---|
appId, slug, clientId | The development app. |
devInstallId | Your development install. |
signingSecret | Only with reveal=signing-secret. |
version | The synced version. |
playgroundUrl | The playground. |
created | true when this call created the app. |
Errors
_tag | Status | Cause |
|---|---|---|
ReintersectAppsUnavailableError | 403 | Apps aren’t available in this workspace. |
ReintersectAppDevSlugUnavailableError | 409 | No free slug could be found. |
ReintersectAppDeployTargetForbiddenError | 403 | A deploy token. |
ReintersectAppManifestInvalidError, ReintersectAppPatternInvalidError | 422 | As for Sync a manifest. |